'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _typeof2 = require('babel-runtime/helpers/typeof');

var _typeof3 = _interopRequireDefault(_typeof2);

exports.isJavascriptDocument = isJavascriptDocument;
exports.JavascriptDoctype = JavascriptDoctype;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function isJavascriptDocument(doc) {
  var test = (typeof doc === 'undefined' ? 'undefined' : (0, _typeof3.default)(doc)) === 'object' && typeof doc.path === 'string' ? doc.path : doc;

  return test.match(/\.(js|jsx|es6|es)$/);
}

function JavascriptDoctype(doc) {
  var options = arguments.length <= 1 || arguments[1] === undefined ? {} : arguments[1];

  return doc;
}

exports.default = JavascriptDoctype;